# Mastra.listAgents()

The `.listAgents()` method is used to retrieve all agents that have been configured in the Mastra instance.

## Usage example

```typescript
mastra.listAgents()
```

## Parameters

This method doesn't accept any parameters.

## Returns

**agents** (`TAgents`): A record of all configured agents, where keys are agent names and values are agent instances.

## Related

- [Agents overview](https://mastra.ai/docs/agents/overview)